Loading...
Searching...
No Matches
unity::shell::scopes::PreviewWidgetModelInterface Class Reference

A list of widgets in a preview. More...

`#include <unity/shell/scopes/PreviewWidgetModelInterface.h>`

Inheritance diagram for unity::shell::scopes::PreviewWidgetModelInterface:
[legend]
Collaboration diagram for unity::shell::scopes::PreviewWidgetModelInterface:
[legend]

## Public Types

enum | Roles { RoleWidgetId , RoleType , RoleProperties }
| The roles supported by this model.

## Detailed Description

A list of widgets in a preview.

This model exposes all the widgets that belong to a particular column in a preview.

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/PreviewWidgetModelInterface.h